package com.miaxis.applepay.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 苹果支付订单对象 applepay_order
 *
 * @author miaxis
 * @date 2022-09-26
 */
@Data
@TableName("applepay_order")
@ApiModel(value = "ApplepayOrder", description = "苹果支付订单对象 applepay_order")
public class ApplepayOrder extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 交易号 */
    @Excel(name = "交易号")
    @TableField("transaction_id")
    @ApiModelProperty(value = "交易号")
    private String transactionId;

    /** 原始交易号 */
    @Excel(name = "原始交易号")
    @TableField("original_transaction_id")
    @ApiModelProperty(value = "原始交易号")
    private String originalTransactionId;

    /** 商品标识符 */
    @Excel(name = "商品标识符")
    @TableField("product_id")
    @ApiModelProperty(value = "商品标识符")
    private String productId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @TableField("goods_name")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;



    /** 数量 */
    @Excel(name = "数量")
    @TableField("quantity")
    @ApiModelProperty(value = "数量")
    private Long quantity;

    /** 购买日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss Etc/GMT")
    @Excel(name = "购买日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("purchase_date")
    @ApiModelProperty(value = "购买日期")
    private String purchaseDate;

    /** 原始购买日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss Etc/GMT")
    @Excel(name = "原始购买日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("original_purchase_date")
    @ApiModelProperty(value = "原始购买日期")
    private String originalPurchaseDate;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "user_id")
    private Long userId;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    @TableField("user_name")
    @ApiModelProperty(value = "user_name")
    private String userName;


    /** 订单总金额，单位为分。 */
    @Excel(name = "订单总金额，单位为分。")
    @TableField("total")
    @ApiModelProperty(value = "订单总金额，单位为分。")
    private Integer total;







}
