package com.miaxis.newgzpt.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频VIP表
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_SCH_PAY_CONFIG")
@ApiModel(value="GZPT_SCH_PAY_CONFIG对象", description="合作驾校表")
public class GzptSchPayConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "地区编号")
    @TableField("DQBH")
    private String dqbh;

    @ApiModelProperty(value = "地区名称")
    @TableField("DQMC")
    private String dqmc;

    @ApiModelProperty(value = "驾校编号")
    @TableField("JXBH")
    private String jxbh;

    @ApiModelProperty(value = "驾校名称")
    @TableField("JXMC")
    private String jxmc;

    @ApiModelProperty(value = "开放时间")
    @TableField("OPEN_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date openTime;

    @ApiModelProperty(value = "是否打开")
    @TableField("IS_OPEN")
    private String isOpen;

    @ApiModelProperty(value = "同步计时平台状态 0 待同步 1 同步成功 ")
    @TableField("SYNC")
    private String sync;

    @ApiModelProperty(value = "同步时间 ")
    @TableField("SYNC_TIME")
    private String syncTime;

}
