package com.miaxis.newgzpt.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频VIP表
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_SCH_PAY_LOG")
@ApiModel(value="GpztSchPayLog对象", description="支付记录表")
public class GzptSchPayLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "学员ID")
    @TableField("STU_ID")
    private Long stuId;

    @ApiModelProperty(value = "用户名")
    @TableField("DQBH")
    private String dqbh;

    @ApiModelProperty(value = "支付单价")
    @TableField("PRICE")
    private Integer price;

    @ApiModelProperty(value = "驾校编号")
    @TableField("JXBH")
    private String jxbh;

    @ApiModelProperty(value = "创建时间")
    @TableField("CRTIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date crtime;

    @ApiModelProperty(value = "同步计时平台状态 0 待同步 1 已同步 2 同步失败")
    @TableField("SYNC")
    private Integer sync;

    @ApiModelProperty(value = "同步时间")
    @TableField("SYNCTIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date syncTime;

    @ApiModelProperty(value = "1充值  2退款 ")
    @TableField("STATE")
    private Integer state;
}
